package domain


type AlibabaAelophyOrderLogisticsTraceCallbackTopBaseResult struct {
    /*
        是否成功     */
    Success  *bool `json:"success,omitempty" `

    /*
        错误码     */
    ErrCode  *string `json:"err_code,omitempty" `

    /*
        错误码备注说明     */
    ErrMsg  *string `json:"err_msg,omitempty" `

}

func (s *AlibabaAelophyOrderLogisticsTraceCallbackTopBaseResult) SetSuccess(v bool) *AlibabaAelophyOrderLogisticsTraceCallbackTopBaseResult {
    s.Success = &v
    return s
}
func (s *AlibabaAelophyOrderLogisticsTraceCallbackTopBaseResult) SetErrCode(v string) *AlibabaAelophyOrderLogisticsTraceCallbackTopBaseResult {
    s.ErrCode = &v
    return s
}
func (s *AlibabaAelophyOrderLogisticsTraceCallbackTopBaseResult) SetErrMsg(v string) *AlibabaAelophyOrderLogisticsTraceCallbackTopBaseResult {
    s.ErrMsg = &v
    return s
}
